Skip to main content
PUT
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

section_id
string
required

Id of the workspace preference.

Body

application/json

Request body for replacing a workspace preference. Full document replacement; missing optional fields are cleared.

name
string
required

Human-readable name for the workspace preference.

description
string | null

Optional description shown under the section on the hosted preferences page. Omit to clear.

routing_options
enum<string>[] | null

Default channels for the workspace preference. Omit to clear.

Available options:
direct_message,
email,
push,
sms,
webhook,
inbox
has_custom_routing
boolean | null

Whether the workspace preference defines custom routing for its topics.

Response

A workspace preference in your workspace, including its topics.

id
string
required

The workspace preference id.

name
string
required

Human-readable name.

routing_options
enum<string>[]
required

Default channels for the workspace preference. May be empty.

Available options:
direct_message,
email,
push,
sms,
webhook,
inbox
has_custom_routing
boolean
required

Whether the workspace preference defines custom routing for its topics.

created
string
required

ISO-8601 timestamp of when the workspace preference was created.

topics
WorkspacePreferenceTopicGetResponse · object[]
required

The topics contained in this workspace preference.

description
string | null

Optional description shown under the section on the hosted preferences page.

creator
string | null

Id of the creator.

updated
string | null

ISO-8601 timestamp of the last update.

updater
string | null

Id of the last updater.